コンテンツにスキップ
Docs
Esc
↑↓移動↵開く⌘Jプレビュー

商品の購入リンクを取得する

必要なスコープ: checkout_links:read。

GET/products/{product_id}/checkout-link
認証
AuthorizationBearer トークン · header必須

管理画面または CLI の cozeni login で発行したクリエイターAPIキー。購入者認証には使わない。

パスパラメーター
product_idstring必須
最小長 1 · 最大長 200
レスポンス
200

標準チェックアウトリンク。

idstring必須
product_idstring必須
urlstring<uri>必須
disabledboolean必須
400

invalid_input。未知フィールド、無効なcursor・入力を含む。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
401

unauthorized。失効、期限切れ、環境違いを含む。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
403

insufficient_scope。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
404

product_not_found / checkout_link_not_found。他人の商品も404。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
409

idempotency_conflict / product_archived / checkout_link_disabled。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
429

rate_limited。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
500

internal。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
503

unavailable。

errorobject必須
プロパティを表示
codestring必須
messagestring必須
request_idstring必須
リクエスト
curl -X GET 'https://api.cozeni.net/external/v1/products/string/checkout-link' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
レスポンス
{
  "id": "string",
  "product_id": "string",
  "url": "http://example.com",
  "disabled": true
}

このページは役に立ちましたか?